Bug 998197 - [abrt] abrt-2.1.6-3.fc19: os.py:531:_spawnvef:OSError: [Errno 11] Risorsa temporaneamente non disponibile
[abrt] abrt-2.1.6-3.fc19: os.py:531:_spawnvef:OSError: [Errno 11] Risorsa tem...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
abrt_hash:1dfd70d053f50dded22ba37fd80...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 03:41 EDT by mussadek
Modified: 2016-01-31 21:22 EST (History)
10 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 03:12:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (839 bytes, text/plain)
2013-08-18 03:41 EDT, mussadek
no flags Details
File: environ (1.34 KB, text/plain)
2013-08-18 03:41 EDT, mussadek
no flags Details

  None (edit)
Description mussadek 2013-08-18 03:41:06 EDT
Version-Release number of selected component:
abrt-2.1.6-3.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -u /usr/libexec/abrt-action-ureport
dso_list:       python-libs-2.7.5-3.fc19.x86_64
executable:     /usr/libexec/abrt-action-ureport
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
os.py:531:_spawnvef:OSError: [Errno 11] Risorsa temporaneamente non disponibile

Traceback (most recent call last):
  File "/usr/libexec/abrt-action-ureport", line 106, in <module>
    exitcode = spawn_and_wait("reporter-ureport")
  File "/usr/libexec/abrt-action-ureport", line 16, in spawn_and_wait
    return os.spawnlp(os.P_WAIT, prog, prog)
  File "/usr/lib64/python2.7/os.py", line 636, in spawnlp
    return spawnvp(mode, file, args)
  File "/usr/lib64/python2.7/os.py", line 585, in spawnvp
    return _spawnvef(mode, file, args, None, execvp)
  File "/usr/lib64/python2.7/os.py", line 531, in _spawnvef
    pid = fork()
OSError: [Errno 11] Risorsa temporaneamente non disponibile

Local variables in innermost frame:
file: 'reporter-ureport'
args: ('reporter-ureport',)
env: None
func: <function execvp at 0x7f2ab15240c8>
mode: 0
Comment 1 mussadek 2013-08-18 03:41:11 EDT
Created attachment 787728 [details]
File: backtrace
Comment 2 mussadek 2013-08-18 03:41:15 EDT
Created attachment 787729 [details]
File: environ
Comment 3 Richard Marko 2013-10-04 07:06:33 EDT
Fixed upstream.

commit bf5d37aedb247d3b089606ecb361868febfe9ddb
Author: Richard Marko <rmarko@redhat.com>
Date:   Tue Sep 10 16:29:58 2013 +0200

    a-a-ureport: handle os errors gracefully rhbz#998428 rhbz#998197
    
    Now it won't crash when its working directory is deleted
    or when it's not able to spawn a process or it tries to spawn
    missing binary. It spits proper error message instead of exception.
    
    Signed-off-by: Richard Marko <rmarko@redhat.com>
Comment 4 Fedora Update System 2013-10-11 06:38:55 EDT
gnome-abrt-0.3.2-1.fc19,abrt-2.1.8-1.fc19,libreport-2.1.8-1.fc19,satyr-0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gnome-abrt-0.3.2-1.fc19,abrt-2.1.8-1.fc19,libreport-2.1.8-1.fc19,satyr-0.10-1.fc19
Comment 5 Fedora Update System 2013-10-11 20:04:13 EDT
Package gnome-abrt-0.3.2-1.fc19, abrt-2.1.8-1.fc19, libreport-2.1.8-1.fc19, satyr-0.10-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-0.3.2-1.fc19 abrt-2.1.8-1.fc19 libreport-2.1.8-1.fc19 satyr-0.10-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18924/gnome-abrt-0.3.2-1.fc19,abrt-2.1.8-1.fc19,libreport-2.1.8-1.fc19,satyr-0.10-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-14 03:12:08 EDT
gnome-abrt-0.3.2-1.fc19, abrt-2.1.8-1.fc19, libreport-2.1.8-1.fc19, satyr-0.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-14 13:10:14 EDT
gnome-abrt-0.3.2-1.fc19, abrt-2.1.8-1.fc19, libreport-2.1.8-1.fc19, satyr-0.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.